<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/static/favicon.ico">

    <title>{{ app_name }}</title>

    <!-- Bootstrap core CSS -->
    <link href="/static/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="/static/css/sticky-footer.css" rel="stylesheet">
  </head>

  <body>

    <div class="container">
      <p>
        %if message:
          <div class="alert alert-{{ message['alert'] }} alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            {{ message['message'] }}.
          </div>
        %end
      </p>
    </div>

    <!-- Begin page content -->
    <div class="container">
      <div class="mt-1">
        <h1>{{ app_name }}</h1>
      </div>
      <p class="lead">{{ username }} (<a href="/logout">logout</a>)</p>
      <p>This is your Factorio server control panel.</p>
      <p>It is <a href="https://en.wikipedia.org/wiki/Free_software">free software</a> and its code is hosted <a href="https://socialg.it/david/factoriocp">here</a>.</p>


    <h2>Servers</h2>
    <hr>
    %for server in servers:
      %if server['status'] == "online":
        <h4>{{ server['name'] }} <span class="tag tag-success">{{ server['status'] }}</span></h4>
      %else:
        <h4>{{ server['name'] }} <span class="tag tag-danger">{{ server['status'] }}</span></h4>
      %end
        Version: <b>{{ server['version'] }}</b>
        <br><br>
    %end
    </div>

    <footer class="footer">
      <div class="container">
        <span class="text-muted">factoriocp v0.1</span>
      </div>
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="/static/js/vendor/jquery.min.js"><\/script>')</script>
    <script src="/static/js/bootstrap.min.js"></script>

  </body>
</html>
